cwlVersion: v1.2

class: Workflow
requirements:
  SubworkflowFeatureRequirement: {}

label: SetParameterFromExternal
doc: |-
    Receive parameter update (e.g., by querying
    an external source like a configuration or calibration
    database) or by expert input (e.g., by a member of
    a telescope team or a simulation pipeline expert).

inputs:
    input_parameter:
        type: File
        label: parameter
        doc: |-
            simulation model parameter data
    input_parameter_metadata:
        type: File
        label: parameter_metadata
        doc: |-
            simulation model parameter meta data
    parameter_schema:
        type: File
        doc: |-
            Model parameter description.

outputs:
    parameter_asserted:
        type: File
        outputSource: receive_parameter_from_api/parameter_asserted
    metadata_asserted:
        type: File
        outputSource: receive_parameter_from_api/metadata_asserted

steps:

    receive_parameter_from_api:
        run:
            ./receive_parameter_from_api.cwl
        in:
            parameter: input_parameter
            metadata: input_parameter_metadata
            parameter_schema: parameter_schema
        out:
            - parameter_asserted
            - metadata_asserted
