cwlVersion: v1.2

class: Workflow
requirements:
  SubworkflowFeatureRequirement: {}
  InlineJavascriptRequirement: {}

label: ValidateArrayElementCoordinates
doc: |-
  Plot and compare array element coordinates.

inputs:
    parameter:
        type: File
        doc: |-
            Coordinates of array elements in CORSIKA system.
    metadata:
        type: File
        doc: |-
            Associated metadata.
    input_data:
        type: File
        doc: |-
            Coordinates of array elements in UTM system.
    input_metadata:
        type: File
        doc: |-
            Associated metadata to input data.

outputs:
    validation_data:
        type: File
        outputSource: validate_array_elements_coordinates/plot
    validatation_metadata:
        type: File
        outputSource: validate_array_elements_coordinates/metadata
    validation_success:
        type: boolean
        outputSource: review_validation/validation_success

steps:

    review_validation:
        run:
            ./review_validation.cwl
        in:
            data: validate_array_elements_coordinates/plot
            metadata: validate_array_elements_coordinates/metadata
        out:
            - validation_success

    validate_array_elements_coordinates:
        run:
            ./validate_array_elements_coordinates.cwl
        in:
            data: parameter
        out:
            - plot
            - metadata
